#define ENA  5    
#define IN1  10   
#define IN2  9  

/*motor FAN control*/
void go_Advance(void)  //Forward
{
  digitalWrite(IN1,LOW);
  digitalWrite(IN2,HIGH);
  analogWrite(ENA,255);    //SPEED 255(YOU CAN SET IT FROM 0~255);
}
void go_Back()  //Reverse
{
  digitalWrite(IN1,HIGH);
  digitalWrite(IN2,LOW);
  analogWrite(ENA,100);   //SPEED 100(YOU CAN SET IT FROM 0~255);   
}
void stop_Stop()           //Stop
{
  digitalWrite(IN1,LOW);
  digitalWrite(IN2,LOW);
  analogWrite(ENA,0);     //SPEED 0(YOU CAN SET IT FROM 0~255);
}

void setup()
{
  pinMode(IN1, OUTPUT); 
  pinMode(IN2, OUTPUT); 
  pinMode(ENA, OUTPUT);  
  go_Advance();//Forward
  delay(4000); //DELAY FOR 4 seconds.
  go_Back();   //Reverse
  delay(2000); //DELAY FOR 2 seconds.
  stop_Stop(); //Stop
}

void loop(){
}
